diff options
author | dancer <dancer> | 2002-02-24 07:57:06 +0000 |
---|---|---|
committer | dancer <dancer> | 2002-02-24 07:57:06 +0000 |
commit | 18651eedb6cc79c55aeaf3c86d57d93feeb7f58e (patch) | |
tree | dadaac67ef53d6bc43c08cb9f9c9a1e4cfd1b544 /pbuilder-buildpackage | |
parent | d452345203ac424265b65fb905a517f471dafd91 (diff) | |
download | pbuilder-18651eedb6cc79c55aeaf3c86d57d93feeb7f58e.tar pbuilder-18651eedb6cc79c55aeaf3c86d57d93feeb7f58e.tar.gz |
added hooks support for pbuilder build target.
Diffstat (limited to 'pbuilder-buildpackage')
-rwxr-xr-x | pbuilder-buildpackage | 5 |
1 files changed, 5 insertions, 0 deletions
diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage index 247ae73..c2b386a 100755 --- a/pbuilder-buildpackage +++ b/pbuilder-buildpackage @@ -224,6 +224,7 @@ fi showbuildbanner echobacktime extractbuildplace +loadhooks createbuilduser echo Copying source file @@ -243,6 +244,8 @@ save_aptcache echo " -> Building the package" export PATH="/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin" +executehooks "A" + if [ -z "$DEBEMAIL" ]; then if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; $SUTOUSER dpkg-buildpackage -us -uc $DEBBUILDOPTS"; then echo "pbuilder: Failed autobuilding of package" >&2 @@ -252,11 +255,13 @@ if [ -z "$DEBEMAIL" ]; then else if ! $CHROOTEXEC /bin/bash -c "cd tmp/buildd/*/; $SUTOUSER dpkg-buildpackage -us -uc \"-m$DEBEMAIL\" $DEBBUILDOPTS"; then echo "pbuilder: Failed autobuilding of package" >&2 + executehooks "C" umountproc_cleanbuildplace exit 1; fi fi +executehooks "B" umountproc if [ -n "$BUILDRESULT" ]; then |